interface Headers {
    [key: string]: string;
}
/** This class represents parsed Web Bundle. */
export declare class Bundle {
    version: string;
    private b1PrimaryURL;
    private sections;
    private responses;
    private compatAdapter;
    constructor(buffer: Uint8Array);
    get manifestURL(): string | null;
    get urls(): string[];
    get primaryURL(): string | null;
    getResponse(url: string): Response;
    private get indexSection();
    private createCompatAdapter;
}
/** This class represents an HTTP resource in Web Bundle. */
export declare class Response {
    status: number;
    headers: Headers;
    body: Uint8Array;
    constructor(responsesSectionItem: unknown[]);
}
export {};
